# Uses of Interface
org.codehaus.commons.compiler.util.resource.ResourceCreator

Packages that use ResourceCreator
Package
Description
org.codehaus.commons.compiler
This package declares interfaces for the implementation of an `IExpressionEvaluator`, an `IScriptEvaluator`, an `IClassBodyEvaluator` and an `ISimpleCompiler`.
org.codehaus.commons.compiler.jdk.util
org.codehaus.commons.compiler.util.resource
Classes related to loading "resources" (`ResourceFinder`) and creating resources (`ResourceCreator`).
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of ResourceCreator in org.codehaus.commons.compiler

Fields in org.codehaus.commons.compiler declared as ResourceCreator
Modifier and Type
Field
Description
`protected ResourceCreator`
AbstractCompiler.`classFileCreator`
Implements the "write side" of the JAVAC `-d` option.
`static final ResourceCreator`
ICompiler.`CREATE_NEXT_TO_SOURCE_FILE`
Special value for `ICompiler.setClassFileCreator(ResourceCreator)`: Indicates that .class resources are to be created in the directory of the .java resource from which they are generated.
Methods in org.codehaus.commons.compiler with parameters of type ResourceCreator
Modifier and Type
Method
Description
`final void`
AbstractCompiler.`setClassFileCreator(ResourceCreator classFileCreator)`
`void`
ICompiler.`setClassFileCreator(ResourceCreator classFileCreator)`
This `ResourceCreator` is used to store generated `.class` files.

## Uses of ResourceCreator in org.codehaus.commons.compiler.jdk.util

Methods in org.codehaus.commons.compiler.jdk.util with parameters of type ResourceCreator
Modifier and Type
Method
Description
`static <M extends JavaFileManager>
ForwardingJavaFileManager<M>`
JavaFileManagers.`fromResourceCreator(M delegate, JavaFileManager.Location location, JavaFileObject.Kind kind, ResourceCreator resourceCreator, Charset charset)`
`static JavaFileObject`
JavaFileObjects.`fromResourceCreator(ResourceCreator resourceCreator, String resourceName, JavaFileObject.Kind kind, Charset charset)`

## Uses of ResourceCreator in org.codehaus.commons.compiler.util.resource

Classes in org.codehaus.commons.compiler.util.resource that implement ResourceCreator
Modifier and Type
Class
Description
`class`
`DirectoryResourceCreator`
Creates a resource in a given directory:
`class`
`FileResourceCreator`
Stores a stream of bytes in a named resource.
`class`
`MapResourceCreator`
Creates resources as byte arrays in a delegate `Map`.

## Uses of ResourceCreator in org.codehaus.janino

Constructors in org.codehaus.janino with parameters of type ResourceCreator
Modifier
Constructor
Description
``
`CachingJavaSourceClassLoader(ClassLoader parentClassLoader, ResourceFinder sourceFinder, String characterEncoding, ResourceFinder classFileCacheResourceFinder, ResourceCreator classFileCacheResourceCreator)`
Notice that this class is thread-safe if and only if the classFileCacheResourceCreator stores its data atomically, i.e.